XMLStreamReaderExtImpl (xmlbeans API)

org.apache.xmlbeans.impl.richParser

## Class XMLStreamReaderExtImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.richParser.XMLStreamReaderExtImpl

- All Implemented Interfaces:
    XMLStreamConstants, XMLStreamReader, XMLStreamReaderExt

      public class XMLStreamReaderExtImpl
      extends Object
      implements XMLStreamReaderExt

  Author: Cezar Andrei (cezar.andrei at bea.com) Date: Nov 17, 2003

- - ### Field Summary

    - ### Fields inherited from interface org.apache.xmlbeans.impl.richParser.XMLStreamReaderExt

      `WS_COLLAPSE, WS_PRESERVE, WS_REPLACE`

    - ### Fields inherited from interface javax.xml.stream.XMLStreamConstants

      `ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLStreamReaderExtImpl(XMLStreamReader xmlStream)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `InputStream` | `getAttributeBase64Value(int index)` Returns the decoded base64 value as anInputStream.
    `InputStream` | `getAttributeBase64Value(String uri, String local)` Returns the decoded base64 value as anInputStream.
    `BigDecimal` | `getAttributeBigDecimalValue(int index)` Returns the value as a `BigDecimal`.
    `BigDecimal` | `getAttributeBigDecimalValue(String uri, String local)` Returns the value as a `BigDecimal`.
    `BigInteger` | `getAttributeBigIntegerValue(int index)` Returns the value as a `BigInteger`.
    `BigInteger` | `getAttributeBigIntegerValue(String uri, String local)` Returns the value as a `BigInteger`.
    `boolean` | `getAttributeBooleanValue(int index)` Returns the value as a boolean.
    `boolean` | `getAttributeBooleanValue(String uri, String local)` Returns the value as a boolean.
    `byte` | `getAttributeByteValue(int index)` Returns the value as a byte.
    `byte` | `getAttributeByteValue(String uri, String local)` Returns the value as a byte.
    `XmlCalendar` | `getAttributeCalendarValue(int index)` Returns the value as an XmlCalendar which extends `Calendar`.
    `XmlCalendar` | `getAttributeCalendarValue(String uri, String local)` Returns the value as an XmlCalendar which extends `Calendar`.
    `int` | `getAttributeCount()`
    `Date` | `getAttributeDateValue(int index)` Returns the value as a `Date`.
    `Date` | `getAttributeDateValue(String uri, String local)` Returns the value as a `Date`.
    `double` | `getAttributeDoubleValue(int index)` Returns the value as a double.
    `double` | `getAttributeDoubleValue(String uri, String local)` Returns the value as a double.
    `float` | `getAttributeFloatValue(int index)` Returns the value as a float.
    `float` | `getAttributeFloatValue(String uri, String local)` Returns the value as a float.
    `GDate` | `getAttributeGDateValue(int index)` Returns the value as a `GDate`.
    `GDate` | `getAttributeGDateValue(String uri, String local)` Returns the value as a `GDate`.
    `GDuration` | `getAttributeGDurationValue(int index)` Returns the value as a `GDuration`.
    `GDuration` | `getAttributeGDurationValue(String uri, String local)` Returns the value as a `GDuration`.
    `InputStream` | `getAttributeHexBinaryValue(int index)` Returns the decoded hexbinary value as an InputStream.
    `InputStream` | `getAttributeHexBinaryValue(String uri, String local)` Returns the decoded hexbinary value as an InputStream.
    `int` | `getAttributeIntValue(int index)` Returns the value as an int.
    `int` | `getAttributeIntValue(String uri, String local)` Returns the value as an int.
    `String` | `getAttributeLocalName(int i)`
    `long` | `getAttributeLongValue(int index)` Returns the value as a long.
    `long` | `getAttributeLongValue(String uri, String local)` Returns the value as a long.
    `QName` | `getAttributeName(int i)`
    `String` | `getAttributeNamespace(int i)`
    `String` | `getAttributePrefix(int i)`
    `QName` | `getAttributeQNameValue(int index)` Returns the value as a `QName`.
    `QName` | `getAttributeQNameValue(String uri, String local)` Returns the value as a `QName`.
    `short` | `getAttributeShortValue(int index)` Returns the value as a short.
    `short` | `getAttributeShortValue(String uri, String local)` Returns the value as a short.
    `String` | `getAttributeStringValue(int index)` Returns the value as a `String`.
    `String` | `getAttributeStringValue(int index, int wsStyle)` Returns the value as a `String`, with wsStyle applied.
    `String` | `getAttributeStringValue(String uri, String local)` Returns the value as a `String`.
    `String` | `getAttributeStringValue(String uri, String local, int wsStyle)` Returns the value as a `String`, with wsStyle applied.
    `String` | `getAttributeType(int i)`
    `String` | `getAttributeValue(int i)`
    `String` | `getAttributeValue(String s, String s1)`
    `InputStream` | `getBase64Value()` Returns the decoded base64 value as anInputStream.
    `BigDecimal` | `getBigDecimalValue()` Returns the value as a `BigDecimal`.
    `BigInteger` | `getBigIntegerValue()` Returns the value as a `BigInteger`.
    `boolean` | `getBooleanValue()` Returns the value as a boolean.
    `byte` | `getByteValue()` Returns the value as a byte.
    `XmlCalendar` | `getCalendarValue()` Returns the value as an XmlCalendar which extends `Calendar`.
    `String` | `getCharacterEncodingScheme()`
    `Date` | `getDateValue()` Returns the value as a `Date`.
    `double` | `getDoubleValue()` Returns the value as a double.
    `String` | `getElementText()`
    `String` | `getEncoding()`
    `int` | `getEventType()`
    `float` | `getFloatValue()` Returns the value as a float.
    `GDate` | `getGDateValue()` Returns the value as a `GDate`.
    `GDuration` | `getGDurationValue()` Returns the value as a `GDuration`.
    `InputStream` | `getHexBinaryValue()` Returns the decoded hexbinary value as an InputStream.
    `int` | `getIntValue()` Returns the value as an int.
    `String` | `getLocalName()`
    `Location` | `getLocation()`
    `long` | `getLongValue()` Returns the value as a long.
    `QName` | `getName()`
    `NamespaceContext` | `getNamespaceContext()`
    `int` | `getNamespaceCount()`
    `String` | `getNamespacePrefix(int i)`
    `String` | `getNamespaceURI()`
    `String` | `getNamespaceURI(int i)`
    `String` | `getNamespaceURI(String s)`
    `String` | `getPIData()`
    `String` | `getPITarget()`
    `String` | `getPrefix()`
    `Object` | `getProperty(String s)`
    `QName` | `getQNameValue()` Returns the value as a `QName`.
    `short` | `getShortValue()` Returns the value as a short.
    `String` | `getStringValue()` Returns the value as a `String`.
    `String` | `getStringValue(int wsStyle)` Returns the value as a `String`, with wsStyle applied.
    `String` | `getText()`
    `char[]` | `getTextCharacters()`
    `int` | `getTextCharacters(int i, char[] chars, int i1, int i2)`
    `int` | `getTextLength()`
    `int` | `getTextStart()`
    `XMLStreamReader` | `getUnderlyingXmlStream()`
    `String` | `getVersion()`
    `boolean` | `hasName()`
    `boolean` | `hasNext()`
    `boolean` | `hasText()`
    `boolean` | `isAttributeSpecified(int i)`
    `boolean` | `isCharacters()`
    `boolean` | `isEndElement()`
    `boolean` | `isStandalone()`
    `boolean` | `isStartElement()`
    `boolean` | `isWhiteSpace()`
    `int` | `next()`
    `int` | `nextTag()`
    `void` | `require(int i, String s, String s1)`
    `void` | `setDefaultValue(String defaultValue)` Sets the default value for the next getXXXValue() call.
    `boolean` | `standaloneSet()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLStreamReaderExtImpl

          public XMLStreamReaderExtImpl(XMLStreamReader xmlStream)

  - ### Method Detail

    - #### getUnderlyingXmlStream

          public XMLStreamReader getUnderlyingXmlStream()

    - #### getStringValue

          public String getStringValue()
                                throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a `String`.
      Specified by:
        `getStringValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getStringValue

          public String getStringValue(int wsStyle)
                                throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a `String`, with wsStyle applied.
      Specified by:
        `getStringValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getBooleanValue

          public boolean getBooleanValue()
                                  throws XMLStreamException,
                                         InvalidLexicalValueException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a boolean.
      Specified by:
        `getBooleanValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`
        `InvalidLexicalValueException`

    - #### getByteValue

          public byte getByteValue()
                            throws XMLStreamException,
                                   InvalidLexicalValueException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a byte.
      Specified by:
        `getByteValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`
        `InvalidLexicalValueException`

    - #### getShortValue

          public short getShortValue()
                              throws XMLStreamException,
                                     InvalidLexicalValueException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a short.
      Specified by:
        `getShortValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`
        `InvalidLexicalValueException`

    - #### getIntValue

          public int getIntValue()
                          throws XMLStreamException,
                                 InvalidLexicalValueException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as an int.
      Specified by:
        `getIntValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`
        `InvalidLexicalValueException`

    - #### getLongValue

          public long getLongValue()
                            throws XMLStreamException,
                                   InvalidLexicalValueException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a long.
      Specified by:
        `getLongValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`
        `InvalidLexicalValueException`

    - #### getBigIntegerValue

          public BigInteger getBigIntegerValue()
                                        throws XMLStreamException,
                                               InvalidLexicalValueException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a `BigInteger`.
      Specified by:
        `getBigIntegerValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`
        `InvalidLexicalValueException`

    - #### getBigDecimalValue

          public BigDecimal getBigDecimalValue()
                                        throws XMLStreamException,
                                               InvalidLexicalValueException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a `BigDecimal`.
      Specified by:
        `getBigDecimalValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`
        `InvalidLexicalValueException`

    - #### getFloatValue

          public float getFloatValue()
                              throws XMLStreamException,
                                     InvalidLexicalValueException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a float.
      Specified by:
        `getFloatValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`
        `InvalidLexicalValueException`

    - #### getDoubleValue

          public double getDoubleValue()
                                throws XMLStreamException,
                                       InvalidLexicalValueException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a double.
      Specified by:
        `getDoubleValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`
        `InvalidLexicalValueException`

    - #### getHexBinaryValue

          public InputStream getHexBinaryValue()
                                        throws XMLStreamException,
                                               InvalidLexicalValueException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the decoded hexbinary value as an InputStream.
      Specified by:
        `getHexBinaryValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`
        `InvalidLexicalValueException`

    - #### getBase64Value

          public InputStream getBase64Value()
                                     throws XMLStreamException,
                                            InvalidLexicalValueException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the decoded base64 value as anInputStream.
      Specified by:
        `getBase64Value` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`
        `InvalidLexicalValueException`

    - #### getCalendarValue

          public XmlCalendar getCalendarValue()
                                       throws XMLStreamException,
                                              InvalidLexicalValueException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as an XmlCalendar which extends `Calendar`.
      Specified by:
        `getCalendarValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`
        `InvalidLexicalValueException`

    - #### getDateValue

          public Date getDateValue()
                            throws XMLStreamException,
                                   InvalidLexicalValueException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a `Date`.
      Specified by:
        `getDateValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`
        `InvalidLexicalValueException`

    - #### getGDateValue

          public GDate getGDateValue()
                              throws XMLStreamException,
                                     InvalidLexicalValueException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a `GDate`.
      Specified by:
        `getGDateValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`
        `InvalidLexicalValueException`

    - #### getGDurationValue

          public GDuration getGDurationValue()
                                      throws XMLStreamException,
                                             InvalidLexicalValueException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a `GDuration`.
      Specified by:
        `getGDurationValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`
        `InvalidLexicalValueException`

    - #### getQNameValue

          public QName getQNameValue()
                              throws XMLStreamException,
                                     InvalidLexicalValueException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a `QName`.
      Specified by:
        `getQNameValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`
        `InvalidLexicalValueException`

    - #### getAttributeStringValue

          public String getAttributeStringValue(int index)
                                         throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a `String`.
      Specified by:
        `getAttributeStringValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getAttributeStringValue

          public String getAttributeStringValue(int index,
                                                int wsStyle)
                                         throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a `String`, with wsStyle applied.
      Specified by:
        `getAttributeStringValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getAttributeBooleanValue

          public boolean getAttributeBooleanValue(int index)
                                           throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a boolean.
      Specified by:
        `getAttributeBooleanValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getAttributeByteValue

          public byte getAttributeByteValue(int index)
                                     throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a byte.
      Specified by:
        `getAttributeByteValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getAttributeShortValue

          public short getAttributeShortValue(int index)
                                       throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a short.
      Specified by:
        `getAttributeShortValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getAttributeIntValue

          public int getAttributeIntValue(int index)
                                   throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as an int.
      Specified by:
        `getAttributeIntValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getAttributeLongValue

          public long getAttributeLongValue(int index)
                                     throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a long.
      Specified by:
        `getAttributeLongValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getAttributeBigIntegerValue

          public BigInteger getAttributeBigIntegerValue(int index)
                                                 throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a `BigInteger`.
      Specified by:
        `getAttributeBigIntegerValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getAttributeBigDecimalValue

          public BigDecimal getAttributeBigDecimalValue(int index)
                                                 throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a `BigDecimal`.
      Specified by:
        `getAttributeBigDecimalValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getAttributeFloatValue

          public float getAttributeFloatValue(int index)
                                       throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a float.
      Specified by:
        `getAttributeFloatValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getAttributeDoubleValue

          public double getAttributeDoubleValue(int index)
                                         throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a double.
      Specified by:
        `getAttributeDoubleValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getAttributeHexBinaryValue

          public InputStream getAttributeHexBinaryValue(int index)
                                                 throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the decoded hexbinary value as an InputStream.
      Specified by:
        `getAttributeHexBinaryValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getAttributeBase64Value

          public InputStream getAttributeBase64Value(int index)
                                              throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the decoded base64 value as anInputStream.
      Specified by:
        `getAttributeBase64Value` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getAttributeCalendarValue

          public XmlCalendar getAttributeCalendarValue(int index)
                                                throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as an XmlCalendar which extends `Calendar`.
      Specified by:
        `getAttributeCalendarValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getAttributeDateValue

          public Date getAttributeDateValue(int index)
                                     throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a `Date`.
      Specified by:
        `getAttributeDateValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getAttributeGDateValue

          public GDate getAttributeGDateValue(int index)
                                       throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a `GDate`.
      Specified by:
        `getAttributeGDateValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getAttributeGDurationValue

          public GDuration getAttributeGDurationValue(int index)
                                               throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a `GDuration`.
      Specified by:
        `getAttributeGDurationValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getAttributeQNameValue

          public QName getAttributeQNameValue(int index)
                                       throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a `QName`.
      Specified by:
        `getAttributeQNameValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getAttributeStringValue

          public String getAttributeStringValue(String uri,
                                                String local)
                                         throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a `String`.
      Specified by:
        `getAttributeStringValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getAttributeStringValue

          public String getAttributeStringValue(String uri,
                                                String local,
                                                int wsStyle)
                                         throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a `String`, with wsStyle applied.
      Specified by:
        `getAttributeStringValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getAttributeBooleanValue

          public boolean getAttributeBooleanValue(String uri,
                                                  String local)
                                           throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a boolean.
      Specified by:
        `getAttributeBooleanValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getAttributeByteValue

          public byte getAttributeByteValue(String uri,
                                            String local)
                                     throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a byte.
      Specified by:
        `getAttributeByteValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getAttributeShortValue

          public short getAttributeShortValue(String uri,
                                              String local)
                                       throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a short.
      Specified by:
        `getAttributeShortValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getAttributeIntValue

          public int getAttributeIntValue(String uri,
                                          String local)
                                   throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as an int.
      Specified by:
        `getAttributeIntValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getAttributeLongValue

          public long getAttributeLongValue(String uri,
                                            String local)
                                     throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a long.
      Specified by:
        `getAttributeLongValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getAttributeBigIntegerValue

          public BigInteger getAttributeBigIntegerValue(String uri,
                                                        String local)
                                                 throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a `BigInteger`.
      Specified by:
        `getAttributeBigIntegerValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getAttributeBigDecimalValue

          public BigDecimal getAttributeBigDecimalValue(String uri,
                                                        String local)
                                                 throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a `BigDecimal`.
      Specified by:
        `getAttributeBigDecimalValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getAttributeFloatValue

          public float getAttributeFloatValue(String uri,
                                              String local)
                                       throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a float.
      Specified by:
        `getAttributeFloatValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getAttributeDoubleValue

          public double getAttributeDoubleValue(String uri,
                                                String local)
                                         throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a double.
      Specified by:
        `getAttributeDoubleValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getAttributeHexBinaryValue

          public InputStream getAttributeHexBinaryValue(String uri,
                                                        String local)
                                                 throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the decoded hexbinary value as an InputStream.
      Specified by:
        `getAttributeHexBinaryValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getAttributeBase64Value

          public InputStream getAttributeBase64Value(String uri,
                                                     String local)
                                              throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the decoded base64 value as anInputStream.
      Specified by:
        `getAttributeBase64Value` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getAttributeCalendarValue

          public XmlCalendar getAttributeCalendarValue(String uri,
                                                       String local)
                                                throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as an XmlCalendar which extends `Calendar`.
      Specified by:
        `getAttributeCalendarValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getAttributeDateValue

          public Date getAttributeDateValue(String uri,
                                            String local)
                                     throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a `Date`.
      Specified by:
        `getAttributeDateValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getAttributeGDateValue

          public GDate getAttributeGDateValue(String uri,
                                              String local)
                                       throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a `GDate`.
      Specified by:
        `getAttributeGDateValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getAttributeGDurationValue

          public GDuration getAttributeGDurationValue(String uri,
                                                      String local)
                                               throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a `GDuration`.
      Specified by:
        `getAttributeGDurationValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getAttributeQNameValue

          public QName getAttributeQNameValue(String uri,
                                              String local)
                                       throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Returns the value as a `QName`.
      Specified by:
        `getAttributeQNameValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### setDefaultValue

          public void setDefaultValue(String defaultValue)
                               throws XMLStreamException

      Description copied from interface: `XMLStreamReaderExt`
      Sets the default value for the next getXXXValue() call. For example: setDefaultValue("7"); //the xml looks like: `<int> </int>` int i = getIntValue(); // returns 7 // from now on the default value will not apply anymore Note: Works for getAttributeXXXValue(...) too.
      Specified by:
        `setDefaultValue` in interface `XMLStreamReaderExt`
      Throws:
        `XMLStreamException`

    - #### getProperty

          public Object getProperty(String s)
                             throws IllegalArgumentException

      Specified by:
        `getProperty` in interface `XMLStreamReader`
      Throws:
        `IllegalArgumentException`

    - #### next

          public int next()
                   throws XMLStreamException

      Specified by:
        `next` in interface `XMLStreamReader`
      Throws:
        `XMLStreamException`

    - #### require

          public void require(int i,
                              String s,
                              String s1)
                       throws XMLStreamException

      Specified by:
        `require` in interface `XMLStreamReader`
      Throws:
        `XMLStreamException`

    - #### getElementText

          public String getElementText()
                                throws XMLStreamException

      Specified by:
        `getElementText` in interface `XMLStreamReader`
      Throws:
        `XMLStreamException`

    - #### nextTag

          public int nextTag()
                      throws XMLStreamException

      Specified by:
        `nextTag` in interface `XMLStreamReader`
      Throws:
        `XMLStreamException`

    - #### hasNext

          public boolean hasNext()
                          throws XMLStreamException

      Specified by:
        `hasNext` in interface `XMLStreamReader`
      Throws:
        `XMLStreamException`

    - #### close

          public void close()
                     throws XMLStreamException

      Specified by:
        `close` in interface `XMLStreamReader`
      Throws:
        `XMLStreamException`

    - #### getNamespaceURI

          public String getNamespaceURI(String s)

      Specified by:
        `getNamespaceURI` in interface `XMLStreamReader`

    - #### isStartElement

          public boolean isStartElement()

      Specified by:
        `isStartElement` in interface `XMLStreamReader`

    - #### isEndElement

          public boolean isEndElement()

      Specified by:
        `isEndElement` in interface `XMLStreamReader`

    - #### isCharacters

          public boolean isCharacters()

      Specified by:
        `isCharacters` in interface `XMLStreamReader`

    - #### isWhiteSpace

          public boolean isWhiteSpace()

      Specified by:
        `isWhiteSpace` in interface `XMLStreamReader`

    - #### getAttributeValue

          public String getAttributeValue(String s,
                                          String s1)

      Specified by:
        `getAttributeValue` in interface `XMLStreamReader`

    - #### getAttributeCount

          public int getAttributeCount()

      Specified by:
        `getAttributeCount` in interface `XMLStreamReader`

    - #### getAttributeName

          public QName getAttributeName(int i)

      Specified by:
        `getAttributeName` in interface `XMLStreamReader`

    - #### getAttributeNamespace

          public String getAttributeNamespace(int i)

      Specified by:
        `getAttributeNamespace` in interface `XMLStreamReader`

    - #### getAttributeLocalName

          public String getAttributeLocalName(int i)

      Specified by:
        `getAttributeLocalName` in interface `XMLStreamReader`

    - #### getAttributePrefix

          public String getAttributePrefix(int i)

      Specified by:
        `getAttributePrefix` in interface `XMLStreamReader`

    - #### getAttributeType

          public String getAttributeType(int i)

      Specified by:
        `getAttributeType` in interface `XMLStreamReader`

    - #### getAttributeValue

          public String getAttributeValue(int i)

      Specified by:
        `getAttributeValue` in interface `XMLStreamReader`

    - #### isAttributeSpecified

          public boolean isAttributeSpecified(int i)

      Specified by:
        `isAttributeSpecified` in interface `XMLStreamReader`

    - #### getNamespaceCount

          public int getNamespaceCount()

      Specified by:
        `getNamespaceCount` in interface `XMLStreamReader`

    - #### getNamespacePrefix

          public String getNamespacePrefix(int i)

      Specified by:
        `getNamespacePrefix` in interface `XMLStreamReader`

    - #### getNamespaceURI

          public String getNamespaceURI(int i)

      Specified by:
        `getNamespaceURI` in interface `XMLStreamReader`

    - #### getNamespaceContext

          public NamespaceContext getNamespaceContext()

      Specified by:
        `getNamespaceContext` in interface `XMLStreamReader`

    - #### getEventType

          public int getEventType()

      Specified by:
        `getEventType` in interface `XMLStreamReader`

    - #### getText

          public String getText()

      Specified by:
        `getText` in interface `XMLStreamReader`

    - #### getTextCharacters

          public char[] getTextCharacters()

      Specified by:
        `getTextCharacters` in interface `XMLStreamReader`

    - #### getTextCharacters

          public int getTextCharacters(int i,
                                       char[] chars,
                                       int i1,
                                       int i2)
                                throws XMLStreamException

      Specified by:
        `getTextCharacters` in interface `XMLStreamReader`
      Throws:
        `XMLStreamException`

    - #### getTextStart

          public int getTextStart()

      Specified by:
        `getTextStart` in interface `XMLStreamReader`

    - #### getTextLength

          public int getTextLength()

      Specified by:
        `getTextLength` in interface `XMLStreamReader`

    - #### getEncoding

          public String getEncoding()

      Specified by:
        `getEncoding` in interface `XMLStreamReader`

    - #### hasText

          public boolean hasText()

      Specified by:
        `hasText` in interface `XMLStreamReader`

    - #### getLocation

          public Location getLocation()

      Specified by:
        `getLocation` in interface `XMLStreamReader`

    - #### getName

          public QName getName()

      Specified by:
        `getName` in interface `XMLStreamReader`

    - #### getLocalName

          public String getLocalName()

      Specified by:
        `getLocalName` in interface `XMLStreamReader`

    - #### hasName

          public boolean hasName()

      Specified by:
        `hasName` in interface `XMLStreamReader`

    - #### getNamespaceURI

          public String getNamespaceURI()

      Specified by:
        `getNamespaceURI` in interface `XMLStreamReader`

    - #### getPrefix

          public String getPrefix()

      Specified by:
        `getPrefix` in interface `XMLStreamReader`

    - #### getVersion

          public String getVersion()

      Specified by:
        `getVersion` in interface `XMLStreamReader`

    - #### isStandalone

          public boolean isStandalone()

      Specified by:
        `isStandalone` in interface `XMLStreamReader`

    - #### standaloneSet

          public boolean standaloneSet()

      Specified by:
        `standaloneSet` in interface `XMLStreamReader`

    - #### getCharacterEncodingScheme

          public String getCharacterEncodingScheme()

      Specified by:
        `getCharacterEncodingScheme` in interface `XMLStreamReader`

    - #### getPITarget

          public String getPITarget()

      Specified by:
        `getPITarget` in interface `XMLStreamReader`

    - #### getPIData

          public String getPIData()

      Specified by:
        `getPIData` in interface `XMLStreamReader`